"use strict";

require("../../mocha-config");

var ConfigurationAdminPanel = require('../../../../main/js/gui/admin/ConfigurationAdminPanel');
var ConfigurationType = require('../../../../main/js/ConfigurationType');
var ServerConnector = require('../../ServerConnector-mock');
var logger = require('../../logger');

var assert = require('assert');

describe('ConfigurationAdminPanel', function () {

  it('init', function () {
    var mapTab;
    var project;
    return ServerConnector.getProject().then(function (result) {
      project = result;
      return ServerConnector.getConfiguration();
    }).then(function (configuration) {
      mapTab = new ConfigurationAdminPanel({
        element: testDiv,
        project: project,
        configuration: configuration
      });
      return mapTab.init();
    }).then(function () {
      assert.equal(0, logger.getWarnings().length);
      return mapTab.destroy();
    });
  });
  it('saveOption', function () {
    var mapTab;
    var project;
    return ServerConnector.getProject().then(function (result) {
      project = result;
      return ServerConnector.getConfiguration();
    }).then(function (configuration) {
      mapTab = new ConfigurationAdminPanel({
        element: testDiv,
        project: project,
        configuration: configuration
      });
      return mapTab.init();
    }).then(function () {
      return mapTab.saveOption(ConfigurationType.DEFAULT_MAP);
    }).then(function () {
      return mapTab.destroy();
    });
  });

});
