"use strict";

require("../../mocha-config");

var UsersAdminPanel = require('../../../../main/js/gui/admin/UsersAdminPanel');
var ServerConnector = require('../../ServerConnector-mock');
var logger = require('../../logger');

var assert = require('assert');

describe('UsersAdminPanel', function () {

  it('init', function () {
    var usersTab;
    var project;
    return ServerConnector.getProject().then(function (result) {
      project = result;
      return ServerConnector.getConfiguration();
    }).then(function (configuration) {
      usersTab = new UsersAdminPanel({
        element: testDiv,
        project: project,
        configuration: configuration
      });
      return usersTab.init();
    }).then(function () {
      assert.equal(0, logger.getWarnings().length);
      return usersTab.destroy();
    });
  });

  it('refresh', function () {
    var mapTab;
    var project;
    return ServerConnector.getProject().then(function (result) {
      project = result;
      return ServerConnector.getConfiguration();
    }).then(function (configuration) {
      mapTab = new UsersAdminPanel({
        element: testDiv,
        project: project,
        configuration: configuration
      });
      return mapTab.init();
    }).then(function () {
      return mapTab.onRefreshClicked();
    }).then(function () {
      return mapTab.destroy();
    });
  });

  it('showEditDialog', function () {
    var mapTab;
    var project;
    return ServerConnector.getProject().then(function (result) {
      project = result;
      return ServerConnector.getConfiguration();
    }).then(function (configuration) {
      mapTab = new UsersAdminPanel({
        element: testDiv,
        project: project,
        configuration: configuration
      });
      return mapTab.init();
    }).then(function () {
      return mapTab.showEditDialog("anonymous");
    }).then(function () {
      return mapTab.destroy();
    });
  });
  it('onAddClicked', function () {
    var mapTab;
    var project;
    return ServerConnector.getProject().then(function (result) {
      project = result;
      return ServerConnector.getConfiguration();
    }).then(function (configuration) {
      mapTab = new UsersAdminPanel({
        element: testDiv,
        project: project,
        configuration: configuration
      });
      return mapTab.init();
    }).then(function () {
      return mapTab.onAddClicked();
    }).then(function () {
      return mapTab.destroy();
    });
  });


});
